Package org.sonatype.maven.polyglot

## Class TeslaProjectBuilder

- java.lang.Object
- - org.apache.maven.project.DefaultProjectBuilder
  - - org.sonatype.maven.polyglot.TeslaProjectBuilder

All Implemented Interfaces:
  `org.apache.maven.project.ProjectBuilder`

    @Component(role=org.apache.maven.project.ProjectBuilder.class)
    public class TeslaProjectBuilder
    extends org.apache.maven.project.DefaultProjectBuilder

### Field Summary

### Fields inherited from class org.apache.maven.project.DefaultProjectBuilder

`DISABLE_GLOBAL_MODEL_CACHE_SYSTEM_PROPERTY`

### Constructor Summary

Constructors
`TeslaProjectBuilder()`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.apache.maven.project.ProjectBuildingResult` `build​(java.io.File pomFile, org.apache.maven.project.ProjectBuildingRequest request)`
`java.util.List<org.apache.maven.project.ProjectBuildingResult>` `build​(java.util.List<java.io.File> pomFiles, boolean recursive, org.apache.maven.project.ProjectBuildingRequest request)`
`org.apache.maven.project.ProjectBuildingResult` `build​(org.apache.maven.artifact.Artifact artifact, boolean allowStubModel, org.apache.maven.project.ProjectBuildingRequest request)`
`org.apache.maven.project.ProjectBuildingResult` `build​(org.apache.maven.artifact.Artifact artifact, org.apache.maven.project.ProjectBuildingRequest request)`
`org.apache.maven.project.ProjectBuildingResult` `build​(org.apache.maven.model.building.ModelSource modelSource, org.apache.maven.project.ProjectBuildingRequest request)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TeslaProjectBuilder

    public TeslaProjectBuilder()

### Method Detail

#### build

    public org.apache.maven.project.ProjectBuildingResult build​(java.io.File pomFile,
                                                                org.apache.maven.project.ProjectBuildingRequest request)
                                                         throws org.apache.maven.project.ProjectBuildingException

Specified by:
  `build` in interface `org.apache.maven.project.ProjectBuilder`
Overrides:
  `build` in class `org.apache.maven.project.DefaultProjectBuilder`
Throws:
  `org.apache.maven.project.ProjectBuildingException`

#### build

    public org.apache.maven.project.ProjectBuildingResult build​(org.apache.maven.model.building.ModelSource modelSource,
                                                                org.apache.maven.project.ProjectBuildingRequest request)
                                                         throws org.apache.maven.project.ProjectBuildingException

Specified by:
  `build` in interface `org.apache.maven.project.ProjectBuilder`
Overrides:
  `build` in class `org.apache.maven.project.DefaultProjectBuilder`
Throws:
  `org.apache.maven.project.ProjectBuildingException`

#### build

    public org.apache.maven.project.ProjectBuildingResult build​(org.apache.maven.artifact.Artifact artifact,
                                                                org.apache.maven.project.ProjectBuildingRequest request)
                                                         throws org.apache.maven.project.ProjectBuildingException

Specified by:
  `build` in interface `org.apache.maven.project.ProjectBuilder`
Overrides:
  `build` in class `org.apache.maven.project.DefaultProjectBuilder`
Throws:
  `org.apache.maven.project.ProjectBuildingException`

#### build

    public org.apache.maven.project.ProjectBuildingResult build​(org.apache.maven.artifact.Artifact artifact,
                                                                boolean allowStubModel,
                                                                org.apache.maven.project.ProjectBuildingRequest request)
                                                         throws org.apache.maven.project.ProjectBuildingException

Specified by:
  `build` in interface `org.apache.maven.project.ProjectBuilder`
Overrides:
  `build` in class `org.apache.maven.project.DefaultProjectBuilder`
Throws:
  `org.apache.maven.project.ProjectBuildingException`

#### build

    public java.util.List<org.apache.maven.project.ProjectBuildingResult> build​(java.util.List<java.io.File> pomFiles,
                                                                                boolean recursive,
                                                                                org.apache.maven.project.ProjectBuildingRequest request)
                                                                         throws org.apache.maven.project.ProjectBuildingException

Specified by:
  `build` in interface `org.apache.maven.project.ProjectBuilder`
Overrides:
  `build` in class `org.apache.maven.project.DefaultProjectBuilder`
Throws:
  `org.apache.maven.project.ProjectBuildingException`